(function ($) {
	"use strict";
    $(document).ready(function(){
	
	/*====================================
	// 	Mobile Menu
	======================================*/ 	
	$('.menu').slicknav({
		prependTo:".mobile-nav",
	});
	
	/*======================================
	// Scrool Sticky
	======================================*/ 
	jQuery(window).on('scroll', function() {
        if ($(this).scrollTop() > 55) {
            $('#header').addClass("sticky animated fadeInDown");
        } else {
            $('#header').removeClass("sticky animated fadeInDown");
        }
    });

	/*======================================
	//  Onepage Nav
	======================================*/ 
	if ($.fn.onePageNav) {
        $('.navbar-nav').onePageNav({
            currentClass: 'active',
            scrollSpeed: 600,
        }); 
		$('.slicknav_nav').onePageNav({
            currentClass: 'active',
            scrollSpeed: 600,
        });     
	
    }

	/*======================================
	// Team Hover
	======================================*/ 
	$('.single-team').on('mouseenter', function(){
		$('.single-team').removeClass('active');
		$(this).addClass('active');
    });
	$('.single-team').on('mouseenter', function(){
        $('.single-team').removeClass('active');
        $(this).addClass('active');
    });
	

	/*======================================
	// Counter JS
	======================================*/  
	$('.counter').counterUp({
		time: 1000
	});
	
	
	/*======================================
	// Clients Carousel
	======================================*/ 
	$(".clients-carousel").owlCarousel({
		loop:true,
		autoplay:true,
		autoplayTimeout:2000,
		smartSpeed: 500,
		margin:15,
		nav:false,
		dots:false,
		items:5,
		navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
		responsive:{
			300: {
                items: 1,
            },
            480: {
                items: 2,
            },
            768: {
                items: 4,
            },
            1170: {
                items: 5,
            },
		}
	});	
	

	/*======================================
	// Social Hover
	======================================*/ 
	$('.footer-top .social li').on('mouseenter', function(){
		$('.social li').removeClass('active');
		$(this).addClass('active');
    });
	$('.footer-top .social li').on('mouseenter', function(){
        $('.social li').removeClass('active');
        $(this).addClass('active');
    });

	/*======================================
	// Scrool Up
	======================================*/  	
	$.scrollUp({
        scrollName: 'scrollUp',      // Element ID
        scrollDistance: 300,         // Distance from top/bottom before showing element (px)
        scrollFrom: 'top',           // 'top' or 'bottom'
        scrollSpeed: 1000,            // Speed back to top (ms)
        easingType: 'linear',        // Scroll to top easing (see http://easings.net/)
        animation: 'fade',           // Fade, slide, none
        animationSpeed: 200,         // Animation speed (ms)
        scrollTrigger: false,        // Set a custom triggering element. Can be an HTML string or jQuery object
        scrollTarget: false,         // Set a custom target element for scrolling to. Can be element or number
        scrollText: ["<i class='fa fa-angle-up'></i>"], // Text for element, can contain HTML
        scrollTitle: false,          // Set a custom <a> title if required.
        scrollImg: false,            // Set true to use image
        activeOverlay: false,        // Set CSS color to display scrollUp active point, e.g '#00FFFF'
        zIndex: 2147483647           // Z-Index for the overlay
    });

    /*======================================
	//  Wow JS
	======================================*/ 		
	var window_width = $(window).width();   
      if(window_width > 767){
            new WOW().init();
		}

	/*====================================
		Extra JS
	======================================*/	
	$('.button').on("click", function (e) {
		var anchor = $(this);
			$('html, body').stop().animate({
				scrollTop: $(anchor.attr('href')).offset().top - 70
		}, 1000);
		e.preventDefault();
	});
	

	/*====================================
		Background Video
	======================================*/
	$('.player').mb_YTPlayer();	

    });
	
	/*====================================
		Preloader JS
	======================================*/
		$(window).on('load', function() {
				$('.loader').fadeOut('slow', function(){
				$(this).remove();
			});
		});

})(jQuery);	